#pragma once

#include "CoreMinimal.h"
#include "AISkill_FindInteractable.h"
#include "AITunableParameter.h"
#include "AISkill_FindInteractable_K40SecurityDoor_Scout.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class THEK40_API UAISkill_FindInteractable_K40SecurityDoor_Scout : public UAISkill_FindInteractable
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float MinimumBatteryLevel;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float KillerEstimatedRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaxRandomWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float RandomWeightUpdateFrequency;

public:
	UAISkill_FindInteractable_K40SecurityDoor_Scout();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_FindInteractable_K40SecurityDoor_Scout) { return 0; }
